Bug 754848 - Review Request: python-webob1.0 - WSGI request and response object
Summary: Review Request: python-webob1.0 - WSGI request and response object
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Pádraig Brady
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-11-17 21:40 UTC by Steve Traylen
Modified: 2011-12-03 20:55 UTC (History)
4 users (show)

Fixed In Version: python-webob1.0-1.0.8-3.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-12-03 20:55:47 UTC
Type: ---
p: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Steve Traylen 2011-11-17 21:40:26 UTC
Spec URL: http://cern.ch/straylen/rpms/python-webob10/python-webob10.spec
SRPM URL: http://cern.ch/straylen/rpms/python-webob10/python-webob10-1.0.8-2.el6.src.rpm
Description: 
WebOb provides wrappers around the WSGI request environment, and an object to
help create WSGI responses. The objects map much of the specified behavior of
HTTP, including header parsing and accessors for other standard parts of the
environment.

Scratch Build
http://koji.fedoraproject.org/koji/taskinfo?taskID=3522731

this is an EPEL6 only build.

Comment 1 Pádraig Brady 2011-11-17 23:44:21 UTC
This specific version of python-webob is being suggested for el6 because it's needed by the diablo release of openstack. I've requested a rebase against RHEL6.3 but in the meantime we need this package.

This package should be named python-webob1.0 for consistency with others of its ilk. I'll do that in 12 hours if no one beats me to it.

Thanks again Steve!

Comment 2 Steve Traylen 2011-11-18 04:30:44 UTC
> This package should be named python-webob1.0 for consistency with others of its
> ilk. I'll do that in 12 hours if no one beats me to it.

http://cern.ch/straylen/rpms/python-webob10/python-webob1.0.spec
http://cern.ch/straylen/rpms/python-webob10/python-webob1.0-1.0.8-3.el6.src.rpm

Comment 3 Pádraig Brady 2011-11-18 18:08:01 UTC
    MUST: rpmlint must be run on the source rpm and all binary rpms the build produces. The output should be posted in the review.

2 (incorrect) rpmlint warnings:
# rpmlint python-webob1.0-1.0.8-3.el6.src.rpm python-webob1.0-1.0.8-3.el6.noarch.rpm python-webob1.0.spec 
python-webob1.0.src: W: spelling-error %description -l en_US accessors -> accessory, accessorize, successors
python-webob1.0.noarch: W: spelling-error %description -l en_US accessors -> accessory, accessorize, successors
2 packages and 1 specfiles checked; 0 errors, 2 warnings.

    MUST: The package must be named according to the Package Naming Guidelines .

PASS: follows existing conventions

    MUST: The spec file name must match the base package %{name}, in the format %{name}.spec unless your package has an exemption. [2] .

PASS

    MUST: The package must meet the Packaging Guidelines .

PASS

    MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines .
    MUST: The License field in the package spec file must match the actual license. [3]
    MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.[4]
    MUST: The spec file must be written in American English. [5]
    MUST: The spec file for the package MUST be legible. [6]
    MUST: The sources used to build the package must match the upstream source, as provided in the spec URL. Reviewers should use md5sum for this task. If no upstream URL can be specified for this package, please see the Source URL Guidelines for how to deal with this.
    MUST: The spec file MUST handle locales properly. This is done by using the %find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.[9]
    MUST: All build dependencies must be listed in BuildRequires, except for any that are listed in the exceptions section of the Packaging Guidelines ; inclusion of those as BuildRequires is optional. Apply common sense.
    MUST: The package must contain code, or permissable content. [17]
    MUST: Large documentation files must go in a -doc subpackage. (The definition of large is left up to the packager's best judgement, but is not restricted to size. Large can refer to either size or quantity). [18]
    MUST: If a package includes something as %doc, it must not affect the runtime of the application. To summarize: If it is in %doc, the program must run properly if it is not present. [18]

PASS. All these pass by fact that it's just a parallel install of the existing python-sqlalchemy package

    MUST: The package MUST successfully compile and build into binary rpms on at least one primary architecture. [7]

PASS noarch package builds

    MUST: Every binary RPM package (or subpackage) which stores shared library files (not just symlinks) in any of the dynamic linker's default paths, must call ldconfig in %post and %postun. [10]
    MUST: Packages must NOT bundle copies of system libraries.[11]

PASS not applicable as noarch

    MUST: If the package is designed to be relocatable, the packager must state this fact in the request for review, along with the rationalization for relocation of that specific package. Without this, use of Prefix: /usr is considered a blocker. [12]

PASS

    MUST: A package must own all directories that it creates. If it does not create a directory that it uses, then it should require a package which does create that directory. [13]

PASS

    MUST: A Fedora package must not list a file more than once in the spec file's %files listings. (Notable exception: license texts in specific situations)[14]

PASS

    MUST: Permissions on files must be set properly. Executables should be set with executable permissions, for example. [15]

PASS

    MUST: Each package must consistently use macros. [16]

PASS

    MUST: Header files must be in a -devel package. [19]
    MUST: Static libraries must be in a -static package. [20]
    MUST: If a package contains library files with a suffix (e.g. libfoo.so.1.1), then library files that end in .so (without suffix) must go in a -devel package. [19]
    MUST: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency: Requires: %{name}%{?_isa} = %{version}-%{release} [21]
    MUST: Packages must NOT contain any .la libtool archives, these must be removed in the spec if they are built.[20]
    MUST: Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section. If you feel that your packaged GUI application does not need a .desktop file, you must put a comment in the spec file with your explanation. [22]

PASS not applicable

    MUST: Packages must not own files or directories already owned by other packages. The rule of thumb here is that the first package to be installed should own the files or directories that other packages may rely upon. This means, for example, that no package in Fedora should ever share ownership with any of the files or directories owned by the filesystem or man package. If you feel that you have a good reason to own a file or directory that another package owns, then please present that at package review time. [23]
    MUST: All filenames in rpm packages must be valid UTF-8. [24]

PASS

Comment 4 Steve Traylen 2011-11-18 18:38:33 UTC
New Package SCM Request
=======================
Package Name: python-webob1.0
Short Description: WSGI request and response object
Owners: stevetraylen
Branches: el6
InitialCC:


Pádraig, you should both take and assign this review to you.
Review your package coming shortly.

Thanks for the review.

Steve.

Comment 5 Gwyn Ciesla 2011-11-18 18:55:52 UTC
Git done (by process-git-requests).

Please take ownership of review BZs.  Thanks!

Comment 6 Fedora Update System 2011-11-18 19:20:14 UTC
python-webob1.0-1.0.8-3.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/python-webob1.0-1.0.8-3.el6

Comment 7 Fedora Update System 2011-11-19 19:58:13 UTC
python-webob1.0-1.0.8-3.el6 has been pushed to the Fedora EPEL 6 testing repository.

Comment 8 Fedora Update System 2011-12-03 20:55:47 UTC
python-webob1.0-1.0.8-3.el6 has been pushed to the Fedora EPEL 6 stable repository.


Note You need to log in before you can comment on or make changes to this bug.